Skip to content

getPayments

READ

Get payments.

POST /api/v1/invoicing/getPayments
curl -X POST '<your-host>/api/v1/invoicing/getPayments' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "bankAccount": "string",
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "currencyCode": "string",
      "customerId": "string",
      "customFields": "…",
      "exchangeRate": 0,
      "id": "string",
      "journalId": "string",
      "memo": "string",
      "paymentDate": "string",
      "paymentId": "string",
      "paymentType": "Receipt",
      "postedAt": "string",
      "postedBy": "string",
      "postingDate": "string",
      "reference": "string",
      "status": "Draft",
      "supplierId": "string",
      "totalAmount": 0,
      "updatedAt": "string",
      "updatedBy": "string",
      "voidedAt": "string",
      "voidedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType
"Receipt""Disbursement"

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        },
        "paymentType": {
          "type": [
            "string",
            "null"
          ],
          "enum": [
            "Receipt",
            "Disbursement"
          ]
        },
        "status": {},
        "customerId": {
          "type": [
            "string",
            "null"
          ]
        },
        "supplierId": {
          "type": [
            "string",
            "null"
          ]
        },
        "counterpartyIds": {
          "type": [
            "array",
            "null"
          ],
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}